%define fw_version 5.38

Summary:	KDE Frameworks 5 workspace and cross-framework integration module
Name:		frameworkintegration
Version:	5.38.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5config-devel >= %{fw_version}
BuildRequires:	kf5configwidgets-devel >= %{fw_version}
BuildRequires:	kf5i18n-devel >= %{fw_version}
BuildRequires:	kf5iconthemes-devel >= %{fw_version}
BuildRequires:	kf5kio-devel >= %{fw_version}
BuildRequires:	kf5newstuff-devel >= %{fw_version}
BuildRequires:	kf5notifications-devel >= %{fw_version}
BuildRequires:	kf5package-devel >= %{fw_version}
BuildRequires:	kf5widgetsaddons-devel >= %{fw_version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xext)
Requires:	kinit
Suggests:	qt5-platformtheme-plasma5
Obsoletes:	frameworkintegration-i18n < 5.23.0

%description
KDE Frameworks 5 workspace and cross-framework integration module.

Framework Integration is a set of plugins responsible for better integration
of Qt applications when running on a KDE Plasma workspace.

Applications do not need to link to this directly.

%files
%dir %{_kde5_datadir}/kf5/infopage/
%{_kde5_datadir}/kf5/infopage/*
%{_kde5_libexecdir}/kf5/kpackagehandlers/knshandler
%{_kde5_notificationsdir}/plasma_workspace.notifyrc
%{_kde5_plugindir}/FrameworkIntegrationPlugin.so

#----------------------------------------------------------------------------

%define kf5style_major 5
%define libkf5style %mklibname kf5style %{kf5style_major}

%package -n %{libkf5style}
Summary:	KDE Frameworks 5 cross-framework integration shared library
Group:		System/Libraries

%description -n %{libkf5style}
KDE Frameworks 5 cross-framework integration shared library.

%files -n %{libkf5style}
%{_kde5_libdir}/libKF5Style.so.%{kf5style_major}*

#----------------------------------------------------------------------------

%define devkf5frameworkintegration %mklibname kf5frameworkintegration -d

%package -n %{devkf5frameworkintegration}
Summary:	Development files for KDE Frameworks 5 cross-framework integration module
Group:		Development/KDE and Qt
Requires:	%{libkf5style} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5frameworkintegration-devel = %{version}
Provides:	kf5style-devel = %{version}

%description -n %{devkf5frameworkintegration}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5frameworkintegration}
%{_kde5_includedir}/KF5/KStyle
%{_kde5_includedir}/KF5/frameworkintegration_version.h
%{_kde5_libdir}/cmake/KF5FrameworkIntegration
%{_kde5_libdir}/libKF5Style.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build




%changelog

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (de7cc03) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (efcf4cc) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (a5bec8f) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (56c9a8c) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (78a6f60) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (f8de13f) Build requires kf5newstuff-devel
- (Andrey Bondrov: 6706fc6) Update files (add knshandler)
- (Andrey Bondrov: 6706fc6) Build requires kf5package-devel now
- (Andrey Bondrov: 462656a) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (6fda5c8) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (649212a) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (12ee842) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (634135b) Some parts moved to plasma5-integration
- (Andrey Bondrov: a372be4) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (413fc04) MassBuild#1023: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (80e6f15) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (43fe7f3) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (6ce28f0) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (30ae350) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (971ab03) New version 5.18.0

* Mon Jan 04 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-2
- (9256979) Adjust default fonts
- (Andrey Bondrov: ab18ce1) Drop fonts-related script from kconf update

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (1f39ef4) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (137d240) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (90cb17c) Update files
- (Andrey Bondrov: 6277c5b) Update files
- (Andrey Bondrov: d7e9f39) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (f30e0e7) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (c5e885f) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (6ecdc5a) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (bbfb48b) New version 5.12.0


